## org.eclipse.datatools.modelbase.sql.xml.query
Interface XMLNamespaceDeclarationItem

All Superinterfaces:
  SQLObject, SQLQueryObject

All Known Subinterfaces:
  XMLNamespaceDeclarationDefault, XMLNamespaceDeclarationPrefix

All Known Implementing Classes:
  XMLNamespaceDeclarationDefaultImpl, XMLNamespaceDeclarationItemImpl, XMLNamespaceDeclarationPrefixImpl

public interface XMLNamespaceDeclarationItem
extends SQLQueryObject

A representation of the model object 'XML Namespace Declaration Item'.

The following features are supported:

- `Uri`
- `Namespaces Decl`

See Also:
  `SQLXMLQueryModelPackage.getXMLNamespaceDeclarationItem()`

Method Summary
`XMLNamespacesDeclaration` `getNamespacesDecl()` Returns the value of the 'Namespaces Decl' container reference.
`java.lang.String` `getUri()` Returns the value of the 'Uri' attribute.
`void` `setNamespacesDecl(XMLNamespacesDeclaration value)` Sets the value of the '`Namespaces Decl`' container reference.
`void` `setUri(java.lang.String value)` Sets the value of the '`Uri`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getUri

    public java.lang.String getUri()

  Returns the value of the 'Uri' attribute.

  If the meaning of the 'Uri' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Uri' attribute.
  See Also:
    `setUri(String)`, `SQLXMLQueryModelPackage.getXMLNamespaceDeclarationItem_Uri()`

### setUri

    public void setUri(java.lang.String value)

  Sets the value of the '`Uri`' attribute.

  Parameters:
    `value` - the new value of the 'Uri' attribute.
  See Also:
    `getUri()`

### getNamespacesDecl

    public XMLNamespacesDeclaration getNamespacesDecl()

  Returns the value of the 'Namespaces Decl' container reference. It is bidirectional and its opposite is '`Namespace Decltem List`'.

  If the meaning of the 'Namespaces Decl' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Namespaces Decl' container reference.
  See Also:
    `setNamespacesDecl(XMLNamespacesDeclaration)`, `SQLXMLQueryModelPackage.getXMLNamespaceDeclarationItem_NamespacesDecl()`, `XMLNamespacesDeclaration.getNamespaceDecltemList()`

### setNamespacesDecl

    public void setNamespacesDecl(XMLNamespacesDeclaration value)

  Sets the value of the '`Namespaces Decl`' container reference.

  Parameters:
    `value` - the new value of the 'Namespaces Decl' container reference.
  See Also:
    `getNamespacesDecl()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.